{% extends "starbase.html" %}
{% load server_tags %}
{% load humanize %}
{% load i18n %}

{% block page_title %}
    {{ flatpage.title }} - {{ SITE_NAME }}
{% endblock %}

{% block content %}

    <div class="row">
        <div class="col-xs-9">
            {{ flatpage.content|safe }}
        </div>
        <div class="col-xs-3">

            <div class="user-sidebar">

                <div class="well">

                    <h4>{% trans "Server Stats" %}</h4>

                    <p>{% blocktrans %}Traffic: <b>{{ TRAFFIC|intcomma }}</b> users visited in the last hour.{% endblocktrans %}</p>


                    <p>
                        {% blocktrans %}
                        The site has <b>{{ user_count|intcomma }}</b> registered users that created
                        <b>{{ post_count|intcomma }}</b> posts</li>
                        {% endblocktrans %}
                    </p>
                    <p>
                        {% blocktrans %}
                        These are distributed as <b>{{ question_count|intcomma }}</b>
                        questions,<b> {{ answer_count|intcomma }}</b> answers
                        and <b>{{ comment_count|intcomma }}</b> comments.
                        {% endblocktrans %}
                    </p>


                </div>

                <h4>{% trans "Site Admins" %}</h4>
                <ul>
                    {% for user in admins %}
                        <li>{% gravatar user 30 %} {% userlink user %}</li>
                    {% endfor %}
                </ul>

                <h4>{% trans "Site Moderators" %}</h4>
                <ul>
                    {% for user in mods %}
                        <li>{% gravatar user 30 %} {% userlink user %} </li>
                    {% endfor %}
                </ul>

            </div>
        </div>
    </div>


    {% if user.is_admin %}
        {% trans "Administrator access:" %}
        <a role="button" class="btn btn-primary"
           href="{% url 'flatpage-update' flatpage.id %}">{% trans "Edit" %} {{ flatpage.title }}</a>
    {% endif %}

{% endblock %}
